remodal.css 1.6 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293
  1. /*
  2. * Remodal - v1.1.1
  3. * Responsive, lightweight, fast, synchronized with CSS animations, fully customizable modal window plugin with declarative configuration and hash tracking.
  4. * http://vodkabears.github.io/remodal/
  5. *
  6. * Made by Ilya Makarov
  7. * Under MIT License
  8. */
  9. /* ==========================================================================
  10. Remodal's necessary styles
  11. ========================================================================== */
  12. /* Hide scroll bar */
  13. html.remodal-is-locked {
  14. overflow: hidden;
  15. -ms-touch-action: none;
  16. touch-action: none;
  17. }
  18. /* Anti FOUC */
  19. .remodal,
  20. [data-remodal-id] {
  21. display: none;
  22. }
  23. /* Necessary styles of the overlay */
  24. .remodal-overlay {
  25. position: fixed;
  26. z-index: 9999;
  27. top: -5000px;
  28. right: -5000px;
  29. bottom: -5000px;
  30. left: -5000px;
  31. display: none;
  32. }
  33. /* Necessary styles of the wrapper */
  34. .remodal-wrapper {
  35. position: fixed;
  36. z-index: 10000;
  37. top: 0;
  38. right: 0;
  39. bottom: 0;
  40. left: 0;
  41. display: none;
  42. overflow: auto;
  43. text-align: center;
  44. -webkit-overflow-scrolling: touch;
  45. }
  46. .remodal-wrapper:after {
  47. display: inline-block;
  48. height: 100%;
  49. margin-left: -0.05em;
  50. content: "";
  51. }
  52. /* Fix iPad, iPhone glitches */
  53. .remodal-overlay,
  54. .remodal-wrapper {
  55. -webkit-backface-visibility: hidden;
  56. backface-visibility: hidden;
  57. }
  58. /* Necessary styles of the modal dialog */
  59. .remodal {
  60. position: relative;
  61. outline: none;
  62. -webkit-text-size-adjust: 100%;
  63. -ms-text-size-adjust: 100%;
  64. text-size-adjust: 100%;
  65. }
  66. .remodal-is-initialized {
  67. /* Disable Anti-FOUC */
  68. display: inline-block;
  69. }